curl --request DELETE \
--url https://api.fabric.inc/v3/redemptions/{redemptionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/redemptions/{redemptionId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/redemptions/{redemptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "614b58924e92f6861ac9d43b",
"isDeleted": true
}{
"type": "REDEMPTION_ID_NOT_VALID",
"message": "Redemption ID isn't valid, it needs must be a valid Object ID"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "REDEMPTION_NOT_FOUND",
"message": "The redemption record doesn't exist."
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Delete redemption by ID
Deletes a specific redemption using the corresponding redemptionId value.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
"12"
A unique request ID.
"263e731c-45c8-11ed-b878-0242ac120002"
Path Parameters
The redemption ID generated using the create redemption endpoint to delete the redemption.
"614b58924e92f6861ac9d43b"
Was this page helpful?
